Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SORMR2

    java.lang.Object
      org.netlib.lapack.SORMR2

    public class SORMR2

extends java.lang.Object

    SORMR2 is a simplified interface to the JLAPACK routine sormr2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SORMR2 overwrites the general real m by n matrix C with
     *
     *        Q * C  if SIDE = 'L' and TRANS = 'N', or
     *
     *        Q'* C  if SIDE = 'L' and TRANS = 'T', or
     *
     *        C * Q  if SIDE = 'R' and TRANS = 'N', or
     *
     *        C * Q' if SIDE = 'R' and TRANS = 'T',
     *
     *  where Q is a real orthogonal matrix defined as the product of k
     *  elementary reflectors
     *
     *        Q = H(1) H(2) . . . H(k)
     *
     *  as returned by SGERQF. Q is of order m if SIDE = 'L' and of order n
     *  if SIDE = 'R'.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': apply Q or Q' from the Left
     *          = 'R': apply Q or Q' from the Right
     *
     *  TRANS   (input) CHARACTER*1
     *          = 'N': apply Q  (No transpose)
     *          = 'T': apply Q' (Transpose)
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C. N >= 0.
     *
     *  K       (input) INTEGER
     *          The number of elementary reflectors whose product defines
     *          the matrix Q.
     *          If SIDE = 'L', M >= K >= 0;
     *          if SIDE = 'R', N >= K >= 0.
     *
     *  A       (input) REAL array, dimension
     *                               (LDA,M) if SIDE = 'L',
     *                               (LDA,N) if SIDE = 'R'
     *          The i-th row must contain the vector which defines the
     *          elementary reflector H(i), for i = 1,2,...,k, as returned by

     *          SGERQF in the last k rows of its array argument A.
     *          A is modified by the routine but restored on exit.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,K).
     *
     *  TAU     (input) REAL array, dimension (K)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SGERQF.
     *
     *  C       (input/output) REAL array, dimension (LDC,N)
     *          On entry, the m by n matrix C.
     *          On exit, C is overwritten by Q*C or Q'*C or C*Q' or C*Q.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace) REAL array, dimension
     *                                   (N) if SIDE = 'L',
     *                                   (M) if SIDE = 'R'
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SORMR2()`

Method Summary
`static void` | `SORMR2(java.lang.String side, java.lang.String trans, int m, int n, int k, float[][] a, float[] tau, float[][] c, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SORMR2

    public SORMR2()

Method Detail

### SORMR2

    public static void SORMR2(java.lang.String side,
                              java.lang.String trans,
                              int m,
                              int n,
                              int k,
                              float[][] a,
                              float[] tau,
                              float[][] c,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD